<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JenisMakanan extends Model
{
    use HasFactory;

    // Menentukan nama tabel jika tidak mengikuti konvensi Laravel
    protected $table = 'jenis_makanans';

    // Kolom-kolom yang bisa diisi secara massal
    protected $fillable = ['name'];

    // Menonaktifkan timestamps jika memang tidak digunakan
    public $timestamps = false;

    /**
     * Relasi: satu jenis makanan bisa memiliki banyak makanan.
     */
    public function makanan()
    {
        return $this->hasMany(Makanan::class, 'jenis_id');
    }
}
