@extends('layout.app')
@section('content')
<div class="pagetitle">

    <h1>Tambah Data User</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('admindash') }}">Home</a></li>
            <li class="breadcrumb-item active"><a href="{{ route('datauser') }}">User</a></li>
            <li class="breadcrumb-item active"><a href="{{ route('tambahuser') }}">Tambah User</a></li>
        </ol>
    </nav>

</div><!-- End Page Title -->

<div class="card">
  <div class="card-body">
      <h5 class="card-title">Tambah User</h5>

      <!-- General Form Elements -->
    <form id="AddUserForm" method="POST" action="{{ route('storeuser') }}">
        @csrf <!-- Add this to include CSRF token --> 
      
          <div class="row mb-3">
              <label for="inputText" class="col-sm-2 col-form-label">Name</label>
              <div class="col-sm-10">
                  <input type="text" class="form-control" placeholder="Your name" aria-label="Your Name"
                      aria-describedby="basic-addon1" name="name" required>
              </div>
          </div>
          <div class="row mb-3">
              <label for="inputEmail" class="col-sm-2 col-form-label">Email</label>
              <div class="col-sm-10">
                  <input type="email" class="form-control" name="email" required>
              </div>
          </div>
          <div class="row mb-3">
            <label for="inputNoTelp" class="col-sm-2 col-form-label">No. Telp</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" name="no_telp" required>
            </div>
        </div>
          <div class="row mb-3">
              <label for="inputPassword" class="col-sm-2 col-form-label">Password</label>
              <div class="col-sm-10">
                  <input type="password" class="form-control" placeholder="Input min 4 characters"
                      aria-label="Password" aria-describedby="basic-addon1" name="password" required>
              </div>
          </div>
          <div class="row mb-3">
            <label class="col-sm-2 col-form-label">Role</label>
            <div class="col-sm-10">
              <select class="form-select" name="role_id" aria-label="Select Role" required>
                <option selected disabled>Select a role</option>
                @foreach($roles as $role)
                  <option value="{{ $role->id }}">{{ $role->name }}</option>
                @endforeach
              </select>
            </div>
          </div>
          <div class="row mb-3">
              <div class="col-sm-12 text-center">
                  <a href="{{ route('datauser') }}" class="btn btn-secondary mx-3">Back</a>
                  <button type="button" class="btn btn-primary mx-3" onclick="confirmSave()">Save</button>
              </div>
          </div>
    </form><!-- End General Form Elements -->

  </div>
</div>

<!-- SweetAlert2 -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<!-- Confirmation Dialog Script -->
<script>
    function confirmSave() {
    Swal.fire({
        title: 'Are you sure?',
        text: "Do you want to save the changes?",
        icon: 'question',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, save it!'
    }).then((result) => {
        if (result.isConfirmed) {
            document.getElementById('AddUserForm').submit();
        }
    });
    }
</script>
@endsection
