@extends('layoutuser.app')
@section('content')
<div class="container-xxl py-5">
    <div class="container">
        <div class="row g-5">
            <div class="col-lg-6 wow fadeIn" data-wow-delay="0.1s">
                <div class="d-flex flex-column">
                    <img class="img-fluid rounded w-75 align-self-end" src="{{ asset('assetss/img/about-1.jpg')}}" alt="">
                    <img class="img-fluid rounded w-50 bg-white pt-3 pe-3" src="{{ asset('assetss/img/about-2.jpg')}}" alt="" style="margin-top: -25%;">
                </div>
            </div>
            <div class="col-lg-6 wow fadeIn" data-wow-delay="0.5s">
                <p class="d-inline-block border rounded-pill py-1 px-4">About Us</p>
                <h1 class="mb-4">Mengapa Anda Harus Mempercayai Sistem Kami</h1>
                <p>HeartChoice ini merupakan sebuah Sistem Pendukung Keputusan untuk membantu penderita penyakit jantung dalam memilih menu makanan yang sesuai dengan kriteria kesehatan mereka. Dengan menggunakan metode AHP (Analytic Hierarchy Process), kami memberikan rekomendasi yang tepat berdasarkan berbagai kriteria gizi yang penting.</p>
                <p class="mb-4">Aplikasi ini menggunakan pendekatan berbasis web yang mudah diakses oleh siapa saja, memberikan pemahaman yang jelas mengenai perbandingan kriteria seperti lemak, natrium, energi, dan karbohidrat dalam menu makanan. Dengan sistem ini, penderita penyakit jantung dapat membuat keputusan yang lebih sehat dan aman dalam memilih makanan mereka.</p>
                <p><i class="far fa-check-circle text-primary me-3"></i>Mempermudah Pemilihan Makanan yang Sehat</p>
                <p><i class="far fa-check-circle text-primary me-3"></i>Memanfaatkan Metode AHP untuk Keputusan yang Lebih Tepat</p>
                <p><i class="far fa-check-circle text-primary me-3"></i>Aplikasi yang Mudah Digunakan dan Aksesible</p>
                {{-- <a class="btn btn-primary rounded-pill py-3 px-5 mt-3" href="">Read More</a> --}}
            </div>
        </div>
    </div>
</div>
<!-- About End -->


<!-- Feature Start -->
<div class="container-fluid bg-primary overflow-hidden my-5 px-lg-0">
    <div class="container feature px-lg-0">
        <div class="row g-0 mx-lg-0">
            <div class="col-lg-6 feature-text py-5 wow fadeIn" data-wow-delay="0.1s">
                <div class="p-lg-5 ps-lg-0">
                    <p class="d-inline-block border rounded-pill text-light py-1 px-4">Tentang Sistem</p>
                    <h1 class="text-white mb-4">Latar Belakang dan Tujuan</h1>
                    <p class="text-white mb-4 pb-2">
                        Penyakit jantung merupakan salah satu penyebab kematian tertinggi di dunia. Salah satu faktor penting dalam pengelolaan penyakit ini adalah pengaturan pola makan yang tepat. Namun, banyak penderita kesulitan menentukan menu yang sesuai dengan kondisi kesehatannya.
                        <br><br>
                        Sistem ini dikembangkan sebagai solusi untuk membantu penderita penyakit jantung dalam memilih menu makanan sehat berdasarkan kriteria medis seperti kadar lemak, natrium, energi, dan karbohidrat. Dengan menggunakan metode Analytic Hierarchy Process (AHP), sistem ini dapat memberikan rekomendasi yang akurat dan sesuai kebutuhan.
                    </p>
                    <div class="row g-4">
                        <div class="col-6">
                            <div class="d-flex align-items-center">
                                <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light" style="width: 55px; height: 55px;">
                                    <i class="fa fa-balance-scale text-primary"></i>
                                </div>
                                <div class="ms-4">
                                    <p class="text-white mb-2">Metode AHP</p>
                                    <h5 class="text-white mb-0">Pengambilan Keputusan Terstruktur</h5>
                                </div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="d-flex align-items-center">
                                <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light" style="width: 55px; height: 55px;">
                                    <i class="fa fa-check text-primary"></i>
                                </div>
                                <div class="ms-4">
                                    <p class="text-white mb-2">Normalisasi Data</p>
                                    <h5 class="text-white mb-0">Perbandingan yang Objektif</h5>
                                </div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="d-flex align-items-center">
                                <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light" style="width: 55px; height: 55px;">
                                    <i class="fa fa-chart-line text-primary"></i>
                                </div>
                                <div class="ms-4">
                                    <p class="text-white mb-2">Antarmuka Sederhana</p>
                                    <h5 class="text-white mb-0">Mudah Digunakan</h5>
                                </div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="d-flex align-items-center">
                                <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light" style="width: 55px; height: 55px;">
                                    <i class="fa fa-cogs text-primary"></i>
                                </div>
                                <div class="ms-4">
                                    <p class="text-white mb-2">Perhitungan Otomatis</p>
                                    <h5 class="text-white mb-0">Rekomendasi Berdasarkan Data</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 pe-lg-0 wow fadeIn" data-wow-delay="0.5s" style="min-height: 400px;">
                <div class="position-relative h-100">
                    <img class="position-absolute img-fluid w-100 h-100" src="{{ asset('assetss/img/feature.jpg')}}" style="object-fit: cover;" alt="Feature Image">
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Feature End -->


<div class="container-xxl py-5">
    <div class="container">
        <div class="row g-5">
            <div class="col-lg-6 wow fadeIn" data-wow-delay="0.1s">
                <div class="d-flex flex-column">
                    <img class="img-fluid rounded w-75 align-self-end" src="{{ asset('assetss/img/about-1.jpg')}}" alt="">
                    <img class="img-fluid rounded w-50 bg-white pt-3 pe-3" src="{{ asset('assetss/img/about-2.jpg')}}" alt="" style="margin-top: -25%;">
                </div>
            </div>
            <div class="col-lg-6 wow fadeIn" data-wow-delay="0.5s">
                <p class="d-inline-block border rounded-pill py-1 px-4">Tentang Metode</p>
                <h1 class="mb-4">Mengapa Memilih Metode AHP?</h1>
                <p>
                    Dalam pengambilan keputusan multi-kriteria seperti pemilihan menu makanan bagi penderita penyakit jantung, metode Analytic Hierarchy Process (AHP) menjadi pilihan utama karena kemampuannya dalam mengolah data kualitatif dan kuantitatif secara terstruktur.
                    AHP memungkinkan proses perbandingan berpasangan antar kriteria seperti lemak, natrium, energi, dan karbohidrat untuk menghasilkan bobot prioritas yang akurat.
                </p>
                <p class="mb-4">
                    Dibandingkan dengan metode lain seperti Simple Additive Weighting (SAW) atau Weighted Product (WP), AHP lebih unggul karena memperhatikan konsistensi logika dalam pengambilan keputusan dan memberikan fleksibilitas dalam membandingkan tingkat kepentingan antar kriteria.
                </p>
                <p><i class="far fa-check-circle text-primary me-3"></i>Mampu menangani perbandingan kriteria secara logis dan bertingkat</p>
                <p><i class="far fa-check-circle text-primary me-3"></i>Menghasilkan bobot yang akurat berdasarkan perbandingan berpasangan</p>
                <p><i class="far fa-check-circle text-primary me-3"></i>Memastikan konsistensi dalam pengambilan keputusan</p>
                {{-- <a class="btn btn-primary rounded-pill py-3 px-5 mt-3" href="">Read More</a> --}}
            </div>
        </div>
    </div>
</div>

<!-- Kriteria yang Digunakan Start -->
<div class="container-xxl py-5">
    <div class="container">
        <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
            <p class="d-inline-block border rounded-pill py-1 px-4">Kriteria</p>
            <h1 class="mb-4">Kriteria Pemilihan Menu Makanan</h1>
            <p class="mb-4">Aplikasi ini menggunakan empat kriteria utama yang penting bagi penderita penyakit jantung untuk menentukan makanan yang aman dan sehat.</p>
        </div>
        <div class="row g-4 justify-content-center">
            <div class="col-lg-3 col-md-6 text-center wow fadeInUp" data-wow-delay="0.1s">
                <div class="bg-light rounded p-4">
                    <i class="fa fa-tint fa-2x text-primary mb-3"></i>
                    <h5 class="mb-2">Lemak</h5>
                    <p class="mb-0">Kadar lemak yang tinggi dapat meningkatkan risiko komplikasi jantung, sehingga perlu dikontrol dengan cermat.</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 text-center wow fadeInUp" data-wow-delay="0.3s">
                <div class="bg-light rounded p-4">
                    <i class="fa fa-utensils fa-2x text-primary mb-3"></i>
                    <h5 class="mb-2">Natrium</h5>
                    <p class="mb-0">Asupan natrium yang berlebihan dapat memicu tekanan darah tinggi, salah satu faktor risiko utama penyakit jantung.</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 text-center wow fadeInUp" data-wow-delay="0.5s">
                <div class="bg-light rounded p-4">
                    <i class="fa fa-bolt fa-2x text-primary mb-3"></i>
                    <h5 class="mb-2">Energi</h5>
                    <p class="mb-0">Keseimbangan energi penting untuk menjaga berat badan ideal dan mencegah beban berlebih pada jantung.</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 text-center wow fadeInUp" data-wow-delay="0.7s">
                <div class="bg-light rounded p-4">
                    <i class="fa fa-bread-slice fa-2x text-primary mb-3"></i>
                    <h5 class="mb-2">Karbohidrat</h5>
                    <p class="mb-0">Pemilihan jenis dan jumlah karbohidrat yang tepat dapat membantu mengatur kadar gula darah dan energi.</p>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Kriteria yang Digunakan End -->

@endsection
